Resia

API changelog

Every change to the Resia API contract, newest first. The current contract is at /openapi.json.

0.34.02026-11-20

breaking
GET /v1/rate-limitsresponse property ten_dlc/per_day list-of-types was widened by adding types null to media type application/json of response 200

0.33.02026-11-20

breaking
POST /v1/text-messagesadded the new required request property to_phone_number
breaking
POST /v1/text-messagesremoved the required property text_messages from the response with the 202 status
breaking
POST /v1/text-messagesremoved the request property to_phone_numbers
compatible
a breaking change was detected but the major version did not increase, from 0.32.0 to 0.32.2
compatible
webhook text_message.received added
compatible
POST /v1/text-message-batchesadded the new optional request property media_urls
compatible
POST /v1/text-message-batchesthe text request property's minLength was decreased from 1 to 0
compatible
POST /v1/text-messagesendpoint reactivated
compatible
POST /v1/text-messagesadded the new optional request property media_urls
compatible
POST /v1/text-messagesthe text request property's minLength was decreased from 1 to 0
compatible
POST /v1/text-messagesadded the required property text_message to the response with the 202 status
compatible
GET /v1/text-messages/receivedendpoint added
compatible
GET /v1/text-messages/receivers/{phone_number}endpoint added
compatible
PUT /v1/text-messages/receivers/{phone_number}endpoint added

0.32.22026-11-19

compatible
GET /v1/live/available-voicesapi tag Live (Fullplex) added
compatible
GET /v1/live/available-voicesapi tag Calls removed
compatible
GET /v1/live/available-voicesadded the non-success response with the status 401
compatible
GET /v1/live/available-voicesadded the non-success response with the status 429
compatible
GET /v1/live/available-voicesadded the non-success response with the status 502
compatible
GET /v1/live/available-voicesadded the non-success response with the status 503
compatible
GET /v1/live/session-historyapi tag Live (Fullplex) added
compatible
GET /v1/live/session-historyapi tag Calls removed
compatible
GET /v1/live/session-historyadded the non-success response with the status 401
compatible
GET /v1/live/session-historyadded the non-success response with the status 403
compatible
GET /v1/live/session-historyadded the non-success response with the status 503
compatible
GET /v1/live/sessions/{session_id}api tag Live (Fullplex) added
compatible
GET /v1/live/sessions/{session_id}api tag Calls removed
compatible
GET /v1/live/sessions/{session_id}added the non-success response with the status 401
compatible
GET /v1/live/sessions/{session_id}added the non-success response with the status 403
compatible
GET /v1/live/sessions/{session_id}added the non-success response with the status 503
compatible
GET /v1/live/sessions/{session_id}/chargeapi tag Live (Fullplex) added
compatible
GET /v1/live/sessions/{session_id}/chargeapi tag Calls removed
compatible
GET /v1/live/sessions/{session_id}/chargeadded the non-success response with the status 401
compatible
GET /v1/live/sessions/{session_id}/chargeadded the non-success response with the status 403
compatible
GET /v1/live/sessions/{session_id}/chargeadded the non-success response with the status 503
compatible
GET /v1/live/sessions/{session_id}/contentapi tag Live (Fullplex) added
compatible
GET /v1/live/sessions/{session_id}/contentapi tag Calls removed
compatible
GET /v1/live/sessions/{session_id}/contentadded the non-success response with the status 401
compatible
GET /v1/live/sessions/{session_id}/contentadded the non-success response with the status 403
compatible
GET /v1/live/sessions/{session_id}/contentadded the non-success response with the status 503

0.32.12026-11-19

compatible
GET /v1/live/session-historyadded the optional property items/items/voice to the response with the 200 status
compatible
GET /v1/live/sessions/{session_id}endpoint added

0.32.02026-11-18

breaking
GET /v1/fullplex-session-chargesapi path removed without deprecation
breaking
GET /v1/fullplex-sessionsapi path removed without deprecation
compatible
removed the schema Page_FullplexSessionChargeResource_
compatible
GET /v1/live/session-historyendpoint added
compatible
GET /v1/live/sessions/{session_id}/chargeendpoint added

0.31.02026-11-18

breaking
POST /v1/10dlc/brandchanged the pattern of the request property business_phone from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/10dlc/brandschanged the pattern of the request property business_phone from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/call-agentschanged the pattern of the request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/phone_number/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
PUT /v1/call-agents/{call_agent_id}changed the pattern of the request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/phone_number/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/call-batcheschanged the pattern of the request property from_phone_number/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/callschanged the pattern of the request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/callschanged the pattern of the request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/anyOf[subschema #2: CallParticipantDestination]/phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/callschanged the pattern of the request property from_phone_number/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/callschanged the pattern of the request property to_phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/chatschanged the pattern of the request property /then/agent_handle/anyOf[subschema #1]/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/chatschanged the pattern of the request property /then/participant_handle from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
DELETE /v1/phone-numbers/{phone_number}changed the pattern of the path request parameter phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/text-message-batcheschanged the pattern of the request property from_phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/text-messageschanged the pattern of the request property from_phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST /v1/text-messageschanged the pattern of the request property to_phone_numbers/items/ from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST webhook:call.incomingchanged the pattern of the request property call/from_phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
breaking
POST webhook:call.incomingchanged the pattern of the request property call/to_phone_number from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$
compatible
POST /v1/call-agentsthe additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 201
compatible
GET /v1/call-agents/{call_agent_id}the additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
PUT /v1/call-agents/{call_agent_id}the additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/call-batchesthe items/items/from_phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/call-batchesthe calls/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
POST /v1/call-batchesthe from_phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
GET /v1/call-batches/{batch_id}the from_phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/call-batches/{batch_id}/callsthe items/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/call-batches/{batch_id}/cancelthe from_phone_number/anyOf[subschema #1]/ response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/phone-number-chargesthe items/items/phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/phone-numbersthe items/items/phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/phone-numbersthe phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 201
compatible
PATCH /v1/phone-numbers/{phone_number}the phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/text-message-batchesthe items/items/from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/text-message-batchesthe from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
POST /v1/text-message-batchesthe text_messages/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
GET /v1/text-message-batches/{batch_id}the from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/text-message-batches/{batch_id}/cancelthe from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesthe items/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/text-messagesthe items/items/from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/text-messagesthe items/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
POST /v1/text-messagesthe text_messages/items/from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
POST /v1/text-messagesthe text_messages/items/to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 202
compatible
GET /v1/text-messages/{text_message_id}the from_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200
compatible
GET /v1/text-messages/{text_message_id}the to_phone_number response's property pattern was changed from ^\+[1-9][0-9]{7,14}$ to ^\+(1[0-9]{10}|[2-9][0-9]{6,14})$ for the status 200

0.30.32026-11-16

compatible
GET /v1/live/available-voicesendpoint added

0.30.22026-11-16

compatible
POST /v1/phone-number-ordersadded the non-success response with the status 404

0.30.12026-11-16

compatible
POST /v1/phone-number-ordersadded the new optional request property campaign_id

0.30.02026-11-16

breaking
GET /v1/fullplex-sessionsthe response property items/items/api_credential_id became optional for the status 200
breaking
GET /v1/fullplex-sessionsresponse property items/items/api_credential_id list-of-types was widened by adding types null to media type application/json of response 200
breaking
GET /v1/fullplex-sessionsthe items/items/api_credential_id response property's maxLength was unset from 512 for the response status 200
breaking
GET /v1/fullplex-sessionsthe items/items/api_credential_id response property's minLength was decreased from 1 to 0 for the response status 200
compatible
a breaking change was detected but the major version did not increase, from 0.29.0 to 0.29.2
compatible
GET /v1/10dlc/brandendpoint deprecated
compatible
POST /v1/10dlc/brandendpoint deprecated
compatible
GET /v1/10dlc/brandsendpoint added
compatible
POST /v1/10dlc/brandsendpoint added
compatible
GET /v1/10dlc/campaign-use-casesadded the new optional query request parameter brand_id
compatible
GET /v1/10dlc/campaignsadded the new optional query request parameter brand_id
compatible
POST /v1/10dlc/campaignsthe header request parameter idempotency-key became optional
compatible
POST /v1/10dlc/campaignsheader request parameter idempotency-key list-of-types was widened by adding types null
compatible
POST /v1/10dlc/campaignsfor the header request parameter idempotency-key, the minLength was decreased from 1 to 0
compatible
DELETE /v1/10dlc/campaigns/{campaign_id}/phone-numbers/{phone_number}endpoint added
compatible
GET /v1/fullplex-sessionsadded the optional property items/items/created_by_user_id to the response with the 200 status
compatible
POST /v1/phone-number-ordersadded the new optional request property campaign_id

0.29.12026-11-12

compatible
POST /v1/call-agentsadded the new optional request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/extension
compatible
POST /v1/call-agentsadded the optional property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/extension to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/extension to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/extension
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/extension to the response with the 200 status
compatible
POST /v1/call-batchesadded the new optional request property calls/items/to_extension
compatible
GET /v1/callsadded the optional property items/items/to_extension to the response with the 200 status
compatible
POST /v1/callsadded the new optional request property to_extension
compatible
POST /v1/callsadded #/components/schemas/CallParticipantDestination, subschema #1 to the additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/ request property anyOf list
compatible
POST /v1/callsremoved the pattern ^\+[1-9][0-9]{7,14}$ from the request property additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/
compatible
POST /v1/callsthe additional_participants/anyOf[subschema #1]/patternProperties[^[^\r\n]+$]/ request property type was widened from string to any
compatible
GET /v1/calls/{call_id}added the optional property additional_participants/anyOf[subschema #1]/additionalProperties/extension to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property to_extension to the response with the 200 status
compatible
POST webhook:call.endedadded the new optional request property call/additional_participants/anyOf[subschema #1]/additionalProperties/extension
compatible
POST webhook:call.endedadded the new optional request property call/to_extension

0.29.02026-11-11

breaking
GET /v1/available-voicesadded the new gemini enum value to the voices/items/provider response property for the response status 200
breaking
GET /v1/available-voicesadded the new openai enum value to the voices/items/provider response property for the response status 200
breaking
POST /v1/call-agentsadded the new gemini enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 201
breaking
GET /v1/call-agents/available-voicesadded the new gemini enum value to the voices/items/provider response property for the response status 200
breaking
GET /v1/call-agents/available-voicesadded the new openai enum value to the voices/items/provider response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new gemini enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new gemini enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai enum value to the voices/anyOf[subschema #1]/items/tts_provider response property for the response status 200
compatible
GET /v1/10dlc/campaignsadded the required property campaigns/items/brand_id to the response with the 200 status
compatible
POST /v1/10dlc/campaignsadded the new optional request property brand_id
compatible
GET /v1/10dlc/campaigns/{campaign_id}added the required property brand_id to the response with the 200 status
compatible
GET /v1/available-voicesadded the new enum value gemini to the query request parameter provider
compatible
GET /v1/available-voicesadded the new enum value openai to the query request parameter provider
compatible
POST /v1/call-agentsadded the new gemini enum value to the request property voices/anyOf[subschema #1]/items/tts_provider
compatible
POST /v1/call-agentsadded the new openai enum value to the request property voices/anyOf[subschema #1]/items/tts_provider
compatible
GET /v1/call-agents/available-voicesadded the new enum value gemini to the query request parameter provider
compatible
GET /v1/call-agents/available-voicesadded the new enum value openai to the query request parameter provider
compatible
PUT /v1/call-agents/{call_agent_id}added the new gemini enum value to the request property voices/anyOf[subschema #1]/items/tts_provider
compatible
PUT /v1/call-agents/{call_agent_id}added the new openai enum value to the request property voices/anyOf[subschema #1]/items/tts_provider

0.28.22026-11-10

compatible
POST /v1/text-message-batchesthe header request parameter idempotency-key became optional
compatible
POST /v1/text-message-batchesheader request parameter idempotency-key list-of-types was widened by adding types null
compatible
POST /v1/text-message-batchesfor the header request parameter idempotency-key, the minLength was decreased from 1 to 0
compatible
POST /v1/text-messagesthe header request parameter idempotency-key became optional
compatible
POST /v1/text-messagesheader request parameter idempotency-key list-of-types was widened by adding types null
compatible
POST /v1/text-messagesfor the header request parameter idempotency-key, the minLength was decreased from 1 to 0

0.28.12026-11-06

compatible
GET /v1/organizationsadded the optional property items/items/baa_applicable to the response with the 200 status
compatible
GET /v1/organizationsadded the optional property items/items/zdr_applicable to the response with the 200 status

0.28.02026-10-28

breaking
GET /v1/rate-limitsremoved the required property call/per_day from the response with the 200 status
breaking
GET /v1/rate-limitsremoved the required property call/per_destination_per_day from the response with the 200 status
breaking
GET /v1/rate-limitsremoved the required property call/per_hour from the response with the 200 status
breaking
GET /v1/rate-limitsremoved the required property call/per_minute from the response with the 200 status
compatible
a breaking change was detected but the version is still 0.27.1

0.27.32026-10-26

compatible
GET /v1/live/sessions/{session_id}/contentendpoint added

0.27.22026-10-26

compatible
POST /v1/call-batchesadded the new optional request property calls/items/timezone
compatible
POST /v1/callsadded the new optional request property timezone
compatible
GET /v1/calls/{call_id}added the optional property timezone to the response with the 200 status
compatible
POST webhook:call.endedadded the new optional request property call/timezone

0.27.12026-10-20

compatible
GET /v1/billing/spendadded the optional property fullplex_sessions to the response with the 200 status
compatible
GET /v1/fullplex-session-chargesendpoint added
compatible
GET /v1/fullplex-sessionsendpoint added
compatible
GET /v1/rate-limitsadded the optional property fullplex to the response with the 200 status

0.27.02026-10-19

breaking
PATCH /v1/sip-connections/{sip_connection_id}request property name list-of-types was narrowed by removing types null from media type application/json
breaking
PATCH /v1/sip-connections/{sip_connection_id}the name request property's minLength was increased from 0 to 1
breaking
PATCH /v1/sip-connections/{sip_connection_id}the name request property's maxLength was set to 80
compatible
a breaking change was detected but the major version did not increase, from 0.26.11 to 0.26.12
compatible
PATCH /v1/phone-numbers/{phone_number}added the new optional request property sip_connection_id
compatible
POST /v1/sip-connectionsthe transport request property default value changed from tcp to tls
compatible
PATCH /v1/sip-connections/{sip_connection_id}the transport request property default value tcp was removed

0.26.122026-10-19

compatible
GET /v1/phone-numbersadded the optional property items/items/sip_connection_id to the response with the 200 status
compatible
POST /v1/phone-numbersendpoint added
compatible
PATCH /v1/phone-numbers/{phone_number}added the optional property sip_connection_id to the response with the 200 status
compatible
GET /v1/sip-connectionsendpoint added
compatible
POST /v1/sip-connectionsendpoint added
compatible
DELETE /v1/sip-connections/{sip_connection_id}endpoint added
compatible
GET /v1/sip-connections/{sip_connection_id}endpoint added
compatible
PATCH /v1/sip-connections/{sip_connection_id}endpoint added

0.26.112026-10-16

compatible
POST /v1/call-agentsadded the new optional request property disclaimer
compatible
POST /v1/call-agentsadded the optional property disclaimer to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property disclaimer to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property disclaimer
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property disclaimer to the response with the 200 status

0.26.102026-10-14

compatible
POST /v1/chats/{chat_id}/eventsendpoint added
compatible
POST /v1/orchestration-runs/{orchestration_run_id}/eventsendpoint added

0.26.92026-10-14

compatible
GET /v1/callsadded the new optional query request parameter analysis_key
compatible
GET /v1/callsadded the new optional query request parameter analysis_value
compatible
GET /v1/callsadded the new optional query request parameter created_after
compatible
GET /v1/callsadded the new optional query request parameter created_before
compatible
GET /v1/callsadded the new optional query request parameter from_phone_number
compatible
GET /v1/callsadded the new optional query request parameter to_phone_number
compatible
GET /v1/callsadded the optional property items/items/analysis to the response with the 200 status
compatible
GET /v1/chatsadded the new optional query request parameter agent_handle
compatible
GET /v1/chatsadded the new optional query request parameter analysis_key
compatible
GET /v1/chatsadded the new optional query request parameter analysis_value
compatible
GET /v1/chatsadded the new optional query request parameter created_after
compatible
GET /v1/chatsadded the new optional query request parameter created_before
compatible
GET /v1/chatsadded the new optional query request parameter participant_handle
compatible
GET /v1/chatsadded the new optional query request parameter status
compatible
GET /v1/chatsadded the optional property items/items/analysis to the response with the 200 status
compatible
GET /v1/orchestration-runsadded the new optional query request parameter analysis_key
compatible
GET /v1/orchestration-runsadded the new optional query request parameter analysis_value
compatible
GET /v1/orchestration-runsadded the new optional query request parameter created_after
compatible
GET /v1/orchestration-runsadded the new optional query request parameter created_before
compatible
GET /v1/orchestration-runsadded the new optional query request parameter status
compatible
GET /v1/orchestration-runsadded the optional property items/items/inputs to the response with the 200 status
compatible
GET /v1/orchestration-runs/{orchestration_run_id}added the optional property inputs to the response with the 200 status
compatible
GET /v1/workflow-runsadded the optional property items/items/inputs to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property inputs to the response with the 200 status
compatible
POST webhook:orchestration_run.endedadded the new optional request property orchestration_run/inputs

0.26.82026-10-14

compatible
POST /v1/phone-number-ordersadded the non-success response with the status 402
compatible
POST /v1/phone-number-ordersadded the non-success response with the status 409

0.26.72026-10-13

compatible
POST /v1/feedbackendpoint added

0.26.62026-10-12

compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the required property items/items/scope to the response with the 200 status
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the new optional request property scope
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the required property credential/scope to the response with the 201 status

0.26.52026-10-12

compatible
GET /v1/callsadded the enum value duration_secs to the property anyOf[subschema #1: CallSortField]/ of the query request parameter sort
compatible
GET /v1/callsadded the enum value started_at to the property anyOf[subschema #1: CallSortField]/ of the query request parameter sort
compatible
GET /v1/callsadded the enum value status to the property anyOf[subschema #1: CallSortField]/ of the query request parameter sort

0.26.42026-10-12

compatible
DELETE /v1/10dlc/campaigns/{campaign_id}endpoint added
compatible
GET /v1/billing/spendadded the required property ten_dlc to the response with the 200 status

0.26.32026-10-12

compatible
GET /v1/calls/{call_id}added the new optional query request parameter include_tool_activity

0.26.22026-10-12

compatible
removed the schema KnowledgeBaseSortField

0.26.12026-10-09

compatible
GET /v1/call-agentsadded the new optional query request parameter order
compatible
GET /v1/call-agentsadded the new optional query request parameter sort
compatible
GET /v1/call-agentsadded the optional property items/items/active_call_count to the response with the 200 status
compatible
GET /v1/callsadded the new optional query request parameter order
compatible
GET /v1/callsadded the new optional query request parameter sort
compatible
GET /v1/chat-agentsadded the new optional query request parameter order
compatible
GET /v1/chat-agentsadded the new optional query request parameter sort
compatible
GET /v1/chat-agentsadded the optional property items/items/active_chat_count to the response with the 200 status
compatible
GET /v1/chatsadded the new optional query request parameter order
compatible
GET /v1/chatsadded the new optional query request parameter sort
compatible
GET /v1/databasesadded the new optional query request parameter order
compatible
GET /v1/databasesadded the new optional query request parameter sort
compatible
GET /v1/orchestration-agentsadded the new optional query request parameter order
compatible
GET /v1/orchestration-agentsadded the new optional query request parameter sort
compatible
GET /v1/orchestration-agentsadded the optional property items/items/active_run_count to the response with the 200 status
compatible
GET /v1/orchestration-runsadded the new optional query request parameter order
compatible
GET /v1/orchestration-runsadded the new optional query request parameter sort
compatible
GET /v1/phone-numbersadded the new optional query request parameter order
compatible
GET /v1/phone-numbersadded the new optional query request parameter sort
compatible
GET /v1/toolsadded the new optional query request parameter order
compatible
GET /v1/toolsadded the new optional query request parameter sort
compatible
GET /v1/workflow-agentsadded the optional property items/items/active_run_count to the response with the 200 status

0.26.02026-10-09

breaking
GET /v1/knowledge-basesapi path removed without deprecation
breaking
POST /v1/knowledge-basesapi path removed without deprecation
breaking
GET /v1/knowledge-bases/{knowledge_base_id}api path removed without deprecation
breaking
POST /v1/callsremoved the request property knowledge_base_id
breaking
GET /v1/chatsremoved the optional property items/items/knowledge_base_id from the response with the 200 status
breaking
POST /v1/chatsremoved the request property knowledge_base_id
breaking
GET /v1/chats/{chat_id}removed the optional property knowledge_base_id from the response with the 200 status
breaking
POST /v1/chats/{chat_id}/cancelremoved the optional property knowledge_base_id from the response with the 200 status
breaking
POST webhook:chat.endedremoved the request property chat/knowledge_base_id
compatible
a breaking change was detected but the major version did not increase, from 0.25.5 to 0.25.6
compatible
removed the schema KnowledgeBaseCreateRequest
compatible
removed the schema KnowledgeBasePage
compatible
removed the schema KnowledgeBaseResource
compatible
POST /v1/callsadded the new optional request property database_id
compatible
GET /v1/chatsadded the optional property items/items/database_id to the response with the 200 status
compatible
POST /v1/chatsadded the new optional request property database_id
compatible
GET /v1/chats/{chat_id}added the optional property database_id to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property database_id to the response with the 200 status
compatible
GET /v1/databasesendpoint added
compatible
POST /v1/databasesendpoint added
compatible
GET /v1/databases/{database_id}endpoint added
compatible
POST webhook:chat.endedadded the new optional request property chat/database_id

0.25.62026-10-08

compatible
POST /v1/call-agentsadded the new optional request property enable_background_noise
compatible
POST /v1/call-agentsadded the optional property enable_background_noise to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property enable_background_noise to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property enable_background_noise
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property enable_background_noise to the response with the 200 status

0.25.52026-10-08

compatible
GET /v1/chat-agentsadded the new optional query request parameter tag_key
compatible
GET /v1/chat-agentsadded the new optional query request parameter tag_value
compatible
GET /v1/chat-agentsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/chat-agentsadded the new optional request property tags
compatible
POST /v1/chat-agentsadded the optional property tags to the response with the 201 status
compatible
GET /v1/chat-agents/{chat_agent_id}added the optional property tags to the response with the 200 status
compatible
PUT /v1/chat-agents/{chat_agent_id}added the new optional request property tags
compatible
PUT /v1/chat-agents/{chat_agent_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/chatsadded the new optional query request parameter tag_key
compatible
GET /v1/chatsadded the new optional query request parameter tag_value
compatible
GET /v1/chatsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/chatsadded the new optional request property tags
compatible
GET /v1/chats/{chat_id}added the optional property tags to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property tags to the response with the 200 status
compatible
POST webhook:chat.endedadded the new optional request property chat/tags

0.25.42026-10-07

compatible
GET /v1/available-voicesendpoint deprecated
compatible
GET /v1/call-agents/available-in-call-llmsendpoint added
compatible
GET /v1/call-agents/available-voicesendpoint added

0.25.32026-10-07

compatible
DELETE /v1/tools/{tool_id}added the non-success response with the status 409
compatible
GET /v1/chats/{chat_id}Chat transcript sent_at now uses each message time stamp in chat detail, the cancel response, and chat.ended. Person times mark turn start; agent times mark reply completion. Missing or invalid stamps remain null.

0.25.22026-10-06

compatible
GET /v1/orchestration-runs/{orchestration_run_id}added the new optional query request parameter include_tool_activity

0.25.12026-10-06

compatible
GET /v1/callsadded the new optional query request parameter orchestration_run_id
compatible
GET /v1/chatsadded the new optional query request parameter orchestration_run_id

0.25.02026-10-06

breaking
GET /v1/message-chargesthe response property items/items/text_message_id became optional for the status 200
breaking
GET /v1/message-chargesresponse property items/items/text_message_id list-of-types was widened by adding types null to media type application/json of response 200
breaking
GET /v1/message-chargesthe items/items/text_message_id response property's maxLength was unset from 512 for the response status 200
breaking
GET /v1/message-chargesthe items/items/text_message_id response property's minLength was decreased from 1 to 0 for the response status 200
breaking
GET /v1/billing/spenddeleted the query request parameter components
breaking
GET /v1/billing/spendremoved the optional property call_components from the response with the 200 status
compatible
removed the schema OrganizationCallSpendComponents
compatible
a breaking change was detected but the version is still 0.24.0
compatible
GET /v1/billing/spendadded the required property call_concurrency_slots to the response with the 200 status
compatible
GET /v1/billing/spendadded the required property chats to the response with the 200 status
compatible
GET /v1/message-chargesadded the required property items/items/direction to the response with the 200 status

0.24.22026-10-06

compatible
GET /v1/calls/{call_id}added the optional property tool_activity to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property tool_activity_truncated to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the new optional query request parameter include_tool_activity
compatible
GET /v1/chats/{chat_id}added the optional property tool_activity to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the optional property tool_activity_truncated to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property tool_activity to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property tool_activity_truncated to the response with the 200 status
compatible
GET /v1/orchestration-runsadded the optional property items/items/tool_activity to the response with the 200 status
compatible
GET /v1/orchestration-runsadded the optional property items/items/tool_activity_truncated to the response with the 200 status
compatible
GET /v1/orchestration-runs/{orchestration_run_id}added the optional property tool_activity to the response with the 200 status
compatible
GET /v1/orchestration-runs/{orchestration_run_id}added the optional property tool_activity_truncated to the response with the 200 status
compatible
GET /v1/workflow-runsadded the optional property items/items/tool_activity to the response with the 200 status
compatible
GET /v1/workflow-runsadded the optional property items/items/tool_activity_truncated to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property tool_activity to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property tool_activity_truncated to the response with the 200 status
compatible
POST webhook:call.endedadded the new optional request property call/tool_activity
compatible
POST webhook:call.endedadded the new optional request property call/tool_activity_truncated
compatible
POST webhook:chat.endedadded the new optional request property chat/tool_activity
compatible
POST webhook:chat.endedadded the new optional request property chat/tool_activity_truncated
compatible
POST webhook:orchestration_run.endedadded the new optional request property orchestration_run/tool_activity
compatible
POST webhook:orchestration_run.endedadded the new optional request property orchestration_run/tool_activity_truncated

0.24.12026-10-06

compatible
GET /v1/rate-limitsadded the required property call/concurrent to the response with the 200 status
compatible
GET /v1/rate-limitsadded the required property call/in_progress to the response with the 200 status

0.24.02026-10-05

breaking
webhook workflow_run.ended removed
compatible
a breaking change was detected but the major version did not increase, from 0.23.0 to 0.23.1
compatible
removed the schema WorkflowRunChargeTotals
compatible
removed the schema WorkflowRunEndedEvent
compatible
removed the schema WorkflowRunFailureCode
compatible
removed the schema WorkflowRunStatus
compatible
webhook orchestration_run.ended added
compatible
GET /v1/billing/spendresponse property workflow_tokens deprecated
compatible
GET /v1/billing/spendadded the required property orchestration_tokens to the response with the 200 status
compatible
GET /v1/billing/spendthe response required property workflow_tokens became read-only for the status 200
compatible
GET /v1/billing/usageresponse property workflow_runs_count deprecated
compatible
GET /v1/billing/usageadded the required property orchestration_runs_count to the response with the 200 status
compatible
GET /v1/billing/usagethe response required property workflow_runs_count became read-only for the status 200
compatible
GET /v1/orchestration-agentsendpoint added
compatible
POST /v1/orchestration-agentsendpoint added
compatible
DELETE /v1/orchestration-agents/{orchestration_agent_id}endpoint added
compatible
GET /v1/orchestration-agents/{orchestration_agent_id}endpoint added
compatible
PUT /v1/orchestration-agents/{orchestration_agent_id}endpoint added
compatible
GET /v1/orchestration-runsendpoint added
compatible
POST /v1/orchestration-runsendpoint added
compatible
GET /v1/orchestration-runs/{orchestration_run_id}endpoint added
compatible
POST /v1/orchestration-runs/{orchestration_run_id}/cancelendpoint added
compatible
GET /v1/workflow-agentsendpoint deprecated
compatible
GET /v1/workflow-agentsresponse property items/items/ deprecated
compatible
POST /v1/workflow-agentsendpoint deprecated
compatible
DELETE /v1/workflow-agents/{workflow_agent_id}endpoint deprecated
compatible
DELETE /v1/workflow-agents/{workflow_agent_id}path request parameter workflow_agent_id was deprecated
compatible
GET /v1/workflow-agents/{workflow_agent_id}endpoint deprecated
compatible
GET /v1/workflow-agents/{workflow_agent_id}path request parameter workflow_agent_id was deprecated
compatible
PUT /v1/workflow-agents/{workflow_agent_id}endpoint deprecated
compatible
PUT /v1/workflow-agents/{workflow_agent_id}path request parameter workflow_agent_id was deprecated
compatible
GET /v1/workflow-runsendpoint deprecated
compatible
GET /v1/workflow-runsquery request parameter workflow_agent_id was deprecated
compatible
GET /v1/workflow-runsadded #/components/schemas/OrchestrationRunChargeTotals to the items/items/charges response property anyOf list for the response status 200
compatible
GET /v1/workflow-runsadded #/components/schemas/OrchestrationRunFailureCode to the items/items/error_code response property anyOf list for the response status 200
compatible
GET /v1/workflow-runsremoved #/components/schemas/WorkflowRunChargeTotals from the items/items/charges response property anyOf list for the response status 200
compatible
GET /v1/workflow-runsremoved #/components/schemas/WorkflowRunFailureCode from the items/items/error_code response property anyOf list for the response status 200
compatible
GET /v1/workflow-runsresponse property items/items/ deprecated
compatible
POST /v1/workflow-runsendpoint deprecated
compatible
GET /v1/workflow-runs/{workflow_run_id}endpoint deprecated
compatible
GET /v1/workflow-runs/{workflow_run_id}path request parameter workflow_run_id was deprecated
compatible
GET /v1/workflow-runs/{workflow_run_id}added #/components/schemas/OrchestrationRunChargeTotals to the charges response property anyOf list for the response status 200
compatible
GET /v1/workflow-runs/{workflow_run_id}added #/components/schemas/OrchestrationRunFailureCode to the error_code response property anyOf list for the response status 200
compatible
GET /v1/workflow-runs/{workflow_run_id}removed #/components/schemas/WorkflowRunChargeTotals from the charges response property anyOf list for the response status 200
compatible
GET /v1/workflow-runs/{workflow_run_id}removed #/components/schemas/WorkflowRunFailureCode from the error_code response property anyOf list for the response status 200
compatible
POST /v1/workflow-runs/{workflow_run_id}/cancelendpoint deprecated
compatible
POST /v1/workflow-runs/{workflow_run_id}/cancelpath request parameter workflow_run_id was deprecated

0.23.12026-10-01

compatible
POST /v1/call-agentsadded the new optional request property tools
compatible
POST /v1/call-agentsadded the optional property tools to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property tools to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property tools
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property tools to the response with the 200 status
compatible
POST /v1/chat-agentsadded the new optional request property tools
compatible
POST /v1/chat-agentsadded the optional property tools to the response with the 201 status
compatible
GET /v1/chat-agents/{chat_agent_id}added the optional property tools to the response with the 200 status
compatible
PUT /v1/chat-agents/{chat_agent_id}added the new optional request property tools
compatible
PUT /v1/chat-agents/{chat_agent_id}added the optional property tools to the response with the 200 status
compatible
GET /v1/chatsadded the optional property items/items/knowledge_base_id to the response with the 200 status
compatible
POST /v1/chatsadded the new optional request property knowledge_base_id
compatible
GET /v1/chats/{chat_id}added the optional property knowledge_base_id to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property knowledge_base_id to the response with the 200 status
compatible
GET /v1/toolsendpoint added
compatible
POST /v1/toolsendpoint added
compatible
DELETE /v1/tools/{tool_id}endpoint added
compatible
GET /v1/tools/{tool_id}endpoint added
compatible
PUT /v1/tools/{tool_id}endpoint added
compatible
POST /v1/workflow-agentsadded the new optional request property tools
compatible
POST /v1/workflow-agentsadded the optional property tools to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property tools to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property tools
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property tools to the response with the 200 status
compatible
POST webhook:chat.endedadded the new optional request property chat/knowledge_base_id

0.23.02026-10-01

breaking
POST /v1/organizationsthe invites/items/invite/invited_by response's property type changed from object to any for status 201
breaking
POST /v1/organizationsremoved the required property invites/items/invite/invited_by/email from the response with the 201 status
breaking
POST /v1/organizationsremoved the required property invites/items/invite/invited_by/id from the response with the 201 status
breaking
POST /v1/organizationsremoved the required property invites/items/invite/invited_by/name from the response with the 201 status
breaking
GET /v1/organizations/{organization_id}/invitesthe items/items/invited_by response's property type changed from object to any for status 200
breaking
GET /v1/organizations/{organization_id}/invitesremoved the required property items/items/invited_by/email from the response with the 200 status
breaking
GET /v1/organizations/{organization_id}/invitesremoved the required property items/items/invited_by/id from the response with the 200 status
breaking
GET /v1/organizations/{organization_id}/invitesremoved the required property items/items/invited_by/name from the response with the 200 status
breaking
POST /v1/organizations/{organization_id}/invitesthe invite/invited_by response's property type changed from object to any for status 201
breaking
POST /v1/organizations/{organization_id}/invitesremoved the required property invite/invited_by/email from the response with the 201 status
breaking
POST /v1/organizations/{organization_id}/invitesremoved the required property invite/invited_by/id from the response with the 201 status
breaking
POST /v1/organizations/{organization_id}/invitesremoved the required property invite/invited_by/name from the response with the 201 status
breaking
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendthe invite/invited_by response's property type changed from object to any for status 200
breaking
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendremoved the required property invite/invited_by/email from the response with the 200 status
breaking
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendremoved the required property invite/invited_by/id from the response with the 200 status
breaking
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendremoved the required property invite/invited_by/name from the response with the 200 status
compatible
GET /v1/10dlc/brandadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/brandadded the non-success response with the status 422
compatible
POST /v1/10dlc/brandadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/campaign-use-casesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/campaign-use-casesadded the non-success response with the status 422
compatible
GET /v1/10dlc/campaignsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/campaignsadded the non-success response with the status 422
compatible
POST /v1/10dlc/campaignsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/campaigns/{campaign_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/10dlc/campaigns/{campaign_id}/phone-numbersadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/10dlc/campaigns/{campaign_id}/phone-numbersadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/available-phone-numbersadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/available-voicesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/billingadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/billingadded the non-success response with the status 422
compatible
PUT /v1/billing/auto-rechargeadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/billing/payment-method-sessionadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/billing/spendadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/billing/top-upsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/billing/usageadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/billing/usageadded the new optional query request parameter engine
compatible
GET /v1/call-agentsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/call-agentsadded the new optional header request parameter x-resia-organization-id
compatible
DELETE /v1/call-agents/{call_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-agents/{call_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-agents/{call_agent_id}added the new optional query request parameter active
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-batchesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/call-batchesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-batches/{batch_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-batches/{batch_id}/callsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/call-batches/{batch_id}/canceladded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/call-chargesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/callsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/callsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/calls/{call_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/calls/{call_id}/recordingadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/chat-agentsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/chat-agentsadded the new optional header request parameter x-resia-organization-id
compatible
DELETE /v1/chat-agents/{chat_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/chat-agents/{chat_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
PUT /v1/chat-agents/{chat_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/chatsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/chatsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/chats/{chat_id}added the new optional header request parameter x-resia-organization-id
compatible
POST /v1/chats/{chat_id}/canceladded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/chats/{chat_id}/messagesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/chats/{chat_id}/messagesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/knowledge-basesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/knowledge-basesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/knowledge-bases/{knowledge_base_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/meadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/meadded the non-success response with the status 422
compatible
GET /v1/meadded the optional property admin to the response with the 200 status
compatible
GET /v1/message-chargesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/organizationsendpoint added
compatible
POST /v1/organizationsadded the new optional request property member
compatible
POST /v1/organizationsadded the optional property invites/items/invite/invited_by_insito_admin to the response with the 201 status
compatible
POST /v1/organizationsadded #/components/schemas/UserSummary, subschema #2 to the invites/items/invite/invited_by response property anyOf list for the response status 201
compatible
GET /v1/organizations/{organization_id}added the new optional header request parameter x-resia-organization-id
compatible
PATCH /v1/organizations/{organization_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the optional property items/items/created_by_insito_admin to the response with the 200 status
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the optional property items/items/revoked_by_insito_admin to the response with the 200 status
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the optional property credential/created_by_insito_admin to the response with the 201 status
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the optional property credential/revoked_by_insito_admin to the response with the 201 status
compatible
DELETE /v1/organizations/{organization_id}/api-credentials/{credential_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/organizations/{organization_id}/invitesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/organizations/{organization_id}/invitesadded the optional property items/items/invited_by_insito_admin to the response with the 200 status
compatible
GET /v1/organizations/{organization_id}/invitesadded #/components/schemas/UserSummary, subschema #2 to the items/items/invited_by response property anyOf list for the response status 200
compatible
POST /v1/organizations/{organization_id}/invitesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/organizations/{organization_id}/invitesadded the optional property invite/invited_by_insito_admin to the response with the 201 status
compatible
POST /v1/organizations/{organization_id}/invitesadded #/components/schemas/UserSummary, subschema #2 to the invite/invited_by response property anyOf list for the response status 201
compatible
DELETE /v1/organizations/{organization_id}/invites/{invite_id}added the new optional header request parameter x-resia-organization-id
compatible
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendadded the optional property invite/invited_by_insito_admin to the response with the 200 status
compatible
POST /v1/organizations/{organization_id}/invites/{invite_id}/resendadded #/components/schemas/UserSummary, subschema #2 to the invite/invited_by response property anyOf list for the response status 200
compatible
GET /v1/organizations/{organization_id}/membersadded the new optional header request parameter x-resia-organization-id
compatible
DELETE /v1/organizations/{organization_id}/members/{user_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/phone-number-chargesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/phone-number-ordersadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/phone-number-orders/{order_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/phone-numbersadded the new optional header request parameter x-resia-organization-id
compatible
DELETE /v1/phone-numbers/{phone_number}added the new optional header request parameter x-resia-organization-id
compatible
PATCH /v1/phone-numbers/{phone_number}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/rate-limitsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/rate-limitsadded the non-success response with the status 422
compatible
GET /v1/request-logsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/request-logsadded the optional property items/items/insito_admin to the response with the 200 status
compatible
GET /v1/request-logs/{request_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/request-logs/{request_id}added the optional property insito_admin to the response with the 200 status
compatible
GET /v1/text-message-batchesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/text-message-batchesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/text-message-batches/{batch_id}added the new optional header request parameter x-resia-organization-id
compatible
POST /v1/text-message-batches/{batch_id}/canceladded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/text-message-batches/{batch_id}/text-messagesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/text-messagesadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/text-messagesadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/text-messages/{text_message_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/workflow-agentsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/workflow-agentsadded the new optional header request parameter x-resia-organization-id
compatible
DELETE /v1/workflow-agents/{workflow_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the new optional query request parameter active
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional header request parameter x-resia-organization-id
compatible
GET /v1/workflow-runsadded the new optional header request parameter x-resia-organization-id
compatible
POST /v1/workflow-runsadded the new optional header request parameter x-resia-organization-id
compatible
GET /v1/workflow-runs/{workflow_run_id}added the new optional header request parameter x-resia-organization-id
compatible
POST /v1/workflow-runs/{workflow_run_id}/canceladded the new optional header request parameter x-resia-organization-id

0.22.02026-09-29

breaking
GET /v1/calls/{call_id}the response property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/timestamp became optional for the status 200
breaking
GET /v1/calls/{call_id}the response property transcript/items/timestamp became optional for the status 200
breaking
GET /v1/calls/{call_id}response property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/timestamp list-of-types was widened by adding types null to media type application/json of response 200
breaking
GET /v1/calls/{call_id}response property transcript/items/timestamp list-of-types was widened by adding types null to media type application/json of response 200
compatible
a breaking change was detected but the major version did not increase, from 0.21.1 to 0.21.2
compatible
POST /v1/call-agentsadded the new optional request property model_architecture
compatible
POST /v1/call-agentsadded the new optional request property speech_to_speech_model
compatible
POST /v1/call-agentsadded the optional property model_architecture to the response with the 201 status
compatible
POST /v1/call-agentsadded the optional property speech_to_speech_model to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property model_architecture to the response with the 200 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property speech_to_speech_model to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property model_architecture
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property speech_to_speech_model
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property model_architecture to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property speech_to_speech_model to the response with the 200 status
compatible
POST webhook:call.endedthe request property call/additional_transcripts/anyOf[subschema #1]/additionalProperties/items/timestamp became optional
compatible
POST webhook:call.endedthe request property call/transcript/items/timestamp became optional
compatible
POST webhook:call.endedrequest property call/additional_transcripts/anyOf[subschema #1]/additionalProperties/items/timestamp list-of-types was widened by adding types null to media type application/json
compatible
POST webhook:call.endedrequest property call/transcript/items/timestamp list-of-types was widened by adding types null to media type application/json

0.21.22026-09-28

compatible
removed the schema CreateCallRequest

0.21.12026-09-25

compatible
GET /v1/call-agentsadded the new optional query request parameter tag_key
compatible
GET /v1/call-agentsadded the new optional query request parameter tag_value
compatible
GET /v1/call-batchesadded the new optional query request parameter tag_key
compatible
GET /v1/call-batchesadded the new optional query request parameter tag_value
compatible
GET /v1/callsadded the new optional query request parameter tag_key
compatible
GET /v1/callsadded the new optional query request parameter tag_value
compatible
GET /v1/callsadded the optional property items/items/tags to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/knowledge-basesadded the new optional query request parameter tag_key
compatible
GET /v1/knowledge-basesadded the new optional query request parameter tag_value
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the new optional query request parameter tag_key
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the new optional query request parameter tag_value
compatible
GET /v1/phone-numbersadded the new optional query request parameter tag_key
compatible
GET /v1/phone-numbersadded the new optional query request parameter tag_value
compatible
PATCH /v1/phone-numbers/{phone_number}added the new optional request property tags
compatible
GET /v1/text-message-batchesadded the new optional query request parameter tag_key
compatible
GET /v1/text-message-batchesadded the new optional query request parameter tag_value
compatible
GET /v1/text-messagesadded the new optional query request parameter tag_key
compatible
GET /v1/text-messagesadded the new optional query request parameter tag_value
compatible
GET /v1/workflow-agentsadded the new optional query request parameter tag_key
compatible
GET /v1/workflow-agentsadded the new optional query request parameter tag_value
compatible
GET /v1/workflow-runsadded the new optional query request parameter tag_key
compatible
GET /v1/workflow-runsadded the new optional query request parameter tag_value
compatible
POST webhook:call.endedadded the new optional request property call/tags

0.21.02026-09-24

breaking
GET /v1/chatsadded the new post_processing enum value to the items/items/status response property for the response status 200
breaking
POST /v1/chatsadded the new post_processing enum value to the status response property for the response status 202
breaking
GET /v1/chats/{chat_id}added the new post_processing enum value to the status response property for the response status 200
breaking
POST /v1/chats/{chat_id}/canceladded the new post_processing enum value to the status response property for the response status 200
breaking
GET /v1/chats/{chat_id}/messagesadded the new post_processing enum value to the chat_status response property for the response status 200
compatible
GET /v1/call-agentsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/call-agentsadded the new optional request property tags
compatible
POST /v1/call-agentsadded the optional property tags to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property tags to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property tags
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/call-batchesadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/call-batchesadded the new optional request property tags
compatible
POST /v1/call-batchesadded the optional property tags to the response with the 202 status
compatible
GET /v1/call-batches/{batch_id}added the optional property tags to the response with the 200 status
compatible
POST /v1/call-batches/{batch_id}/canceladded the optional property tags to the response with the 200 status
compatible
POST /v1/callsadded the new optional request property tags
compatible
GET /v1/knowledge-basesadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/knowledge-basesadded the new optional request property tags
compatible
POST /v1/knowledge-basesadded the optional property tags to the response with the 201 status
compatible
GET /v1/knowledge-bases/{knowledge_base_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/organizations/{organization_id}/api-credentialsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the new optional request property tags
compatible
POST /v1/organizations/{organization_id}/api-credentialsadded the optional property credential/tags to the response with the 201 status
compatible
GET /v1/phone-numbersadded the optional property items/items/tags to the response with the 200 status
compatible
PATCH /v1/phone-numbers/{phone_number}added the optional property tags to the response with the 200 status
compatible
GET /v1/text-message-batchesadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/text-message-batchesadded the new optional request property tags
compatible
POST /v1/text-message-batchesadded the optional property tags to the response with the 202 status
compatible
GET /v1/text-message-batches/{batch_id}added the optional property tags to the response with the 200 status
compatible
POST /v1/text-message-batches/{batch_id}/canceladded the optional property tags to the response with the 200 status
compatible
GET /v1/text-messagesadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/text-messagesadded the new optional request property tags
compatible
POST /v1/text-messagesadded the optional property text_messages/items/tags to the response with the 202 status
compatible
GET /v1/text-messages/{text_message_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/workflow-agentsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/workflow-agentsadded the new optional request property tags
compatible
POST /v1/workflow-agentsadded the optional property tags to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property tags to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property tags
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property tags to the response with the 200 status
compatible
GET /v1/workflow-runsadded the optional property items/items/tags to the response with the 200 status
compatible
POST /v1/workflow-runsadded the new optional request property tags
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property tags to the response with the 200 status
compatible
POST webhook:chat.endedadded the new post_processing enum value to the request property chat/status
compatible
POST webhook:workflow_run.endedadded the new optional request property workflow_run/tags

0.20.32026-09-24

compatible
webhook chat.incoming added
compatible
POST /v1/chat-agentsadded the new optional request property inbound_input_webhook_url
compatible
POST /v1/chat-agentsadded the optional property inbound_input_webhook_url to the response with the 201 status
compatible
GET /v1/chat-agents/{chat_agent_id}added the optional property inbound_input_webhook_url to the response with the 200 status
compatible
PUT /v1/chat-agents/{chat_agent_id}added the new optional request property inbound_input_webhook_url
compatible
PUT /v1/chat-agents/{chat_agent_id}added the optional property inbound_input_webhook_url to the response with the 200 status

0.20.22026-09-23

compatible
GET /v1/chatsadded the new optional query request parameter chat_agent_id
compatible
GET /v1/chatsadded the optional property items/items/started_at to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the optional property failure to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the optional property started_at to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property failure to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property started_at to the response with the 200 status
compatible
GET /v1/workflow-runsendpoint added
compatible
POST webhook:chat.endedadded the new optional request property chat/failure
compatible
POST webhook:chat.endedadded the new optional request property chat/started_at

0.20.12026-09-23

compatible
POST /v1/chat-agentsadded the new optional request property milestones
compatible
POST /v1/chat-agentsadded the optional property milestones to the response with the 201 status
compatible
GET /v1/chat-agents/{chat_agent_id}added the optional property milestones to the response with the 200 status
compatible
PUT /v1/chat-agents/{chat_agent_id}added the new optional request property milestones
compatible
PUT /v1/chat-agents/{chat_agent_id}added the optional property milestones to the response with the 200 status
compatible
GET /v1/chatsadded the optional property items/items/milestone to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the optional property milestone to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the optional property milestone to the response with the 200 status
compatible
POST webhook:chat.endedadded the new optional request property chat/milestone

0.20.02026-09-22

breaking
POST /v1/chatsthe agent_handle/anyOf[subschema #1]/ request property's minLength was increased from 0 to 1
breaking
POST /v1/chatsthe participant_handle request property's minLength was increased from 0 to 1
breaking
GET /v1/chatsadded the new email enum value to the items/items/channel response property for the response status 200
breaking
GET /v1/chatsadded the new web enum value to the items/items/channel response property for the response status 200
breaking
POST /v1/chatsthe agent_handle/anyOf[subschema #1]/ request property's maxLength was set to 512
breaking
POST /v1/chatsthe participant_handle request property's maxLength was set to 512
breaking
GET /v1/chats/{chat_id}added the new email enum value to the channel response property for the response status 200
breaking
GET /v1/chats/{chat_id}added the new web enum value to the channel response property for the response status 200
breaking
POST /v1/chats/{chat_id}/canceladded the new email enum value to the channel response property for the response status 200
breaking
POST /v1/chats/{chat_id}/canceladded the new web enum value to the channel response property for the response status 200
compatible
a breaking change was detected but the version is still 0.18.1
compatible
POST /v1/chatsadded the new email enum value to the request property channel
compatible
POST /v1/chatsadded the new web enum value to the request property channel
compatible
GET /v1/chats/{chat_id}/messagesendpoint added
compatible
POST /v1/chats/{chat_id}/messagesendpoint added
compatible
POST webhook:chat.endedadded the new email enum value to the request property chat/channel
compatible
POST webhook:chat.endedadded the new web enum value to the request property chat/channel

0.19.02026-09-22

breaking
GET /v1/chatsremoved the required property items/items/from_phone_number from the response with the 200 status
breaking
GET /v1/chatsremoved the required property items/items/to_phone_number from the response with the 200 status
breaking
POST /v1/chatsadded the new required request property participant_handle
breaking
POST /v1/chatsadded 'if' subschema to the request body
breaking
POST /v1/chatsadded 'then' subschema to the request body
breaking
GET /v1/chats/{chat_id}removed the required property from_phone_number from the response with the 200 status
breaking
GET /v1/chats/{chat_id}removed the required property to_phone_number from the response with the 200 status
breaking
POST /v1/chats/{chat_id}/cancelremoved the required property from_phone_number from the response with the 200 status
breaking
POST /v1/chats/{chat_id}/cancelremoved the required property to_phone_number from the response with the 200 status
breaking
POST webhook:chat.endedadded the new required request property chat/agent_handle
breaking
POST webhook:chat.endedadded the new required request property chat/channel
breaking
POST webhook:chat.endedadded the new required request property chat/participant_handle
breaking
POST /v1/chatsremoved the request property from_phone_number
breaking
POST /v1/chatsremoved the request property to_phone_number
breaking
POST webhook:chat.endedremoved the request property chat/from_phone_number
breaking
POST webhook:chat.endedremoved the request property chat/to_phone_number
compatible
a breaking change was detected but the version is still 0.18.1
compatible
GET /v1/chatsadded the required property items/items/agent_handle to the response with the 200 status
compatible
GET /v1/chatsadded the required property items/items/channel to the response with the 200 status
compatible
GET /v1/chatsadded the required property items/items/participant_handle to the response with the 200 status
compatible
POST /v1/chatsadded the new optional request property agent_handle
compatible
POST /v1/chatsadded the new optional request property channel
compatible
GET /v1/chats/{chat_id}added the required property agent_handle to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the required property channel to the response with the 200 status
compatible
GET /v1/chats/{chat_id}added the required property participant_handle to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the required property agent_handle to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the required property channel to the response with the 200 status
compatible
POST /v1/chats/{chat_id}/canceladded the required property participant_handle to the response with the 200 status

0.18.22026-09-22

compatible
POST /v1/workflow-agentsadded the new optional request property triggerable_chat_agent_ids
compatible
POST /v1/workflow-agentsadded the optional property triggerable_chat_agent_ids to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property triggerable_chat_agent_ids to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property triggerable_chat_agent_ids
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property triggerable_chat_agent_ids to the response with the 200 status

0.18.12026-09-22

compatible
webhook chat.ended added

0.18.02026-09-21

breaking
POST webhook:call.endedadded the new required request property call/call_agent_id
breaking
POST webhook:call.endedadded the new required request property call/call_agent_name
compatible
a breaking change was detected but the version is still 0.17.10
compatible
GET /v1/callsadded the required property items/items/call_agent_id to the response with the 200 status
compatible
GET /v1/callsadded the required property items/items/call_agent_name to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property call_agent_id to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property call_agent_name to the response with the 200 status

0.17.112026-09-21

compatible
GET /v1/phone-numbersadded the optional property items/items/inbound_chat_agent_id to the response with the 200 status
compatible
PATCH /v1/phone-numbers/{phone_number}added the new optional request property inbound_chat_agent_id
compatible
PATCH /v1/phone-numbers/{phone_number}the request property inbound_call_agent_id became optional
compatible
PATCH /v1/phone-numbers/{phone_number}added the optional property inbound_chat_agent_id to the response with the 200 status

0.17.102026-09-21

compatible
POST /v1/workflow-agentsadded the new optional request property milestones
compatible
POST /v1/workflow-agentsadded the optional property milestones to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property milestones to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property milestones
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property milestones to the response with the 200 status
compatible
GET /v1/workflow-runs/{workflow_run_id}added the optional property milestone to the response with the 200 status
compatible
POST webhook:workflow_run.endedadded the new optional request property workflow_run/milestone

0.17.92026-09-21

compatible
GET /v1/chatsendpoint added
compatible
POST /v1/chatsendpoint added
compatible
GET /v1/chats/{chat_id}endpoint added
compatible
POST /v1/chats/{chat_id}/cancelendpoint added

0.17.82026-09-18

compatible
GET /v1/chat-agentsendpoint added
compatible
POST /v1/chat-agentsendpoint added
compatible
DELETE /v1/chat-agents/{chat_agent_id}endpoint added
compatible
GET /v1/chat-agents/{chat_agent_id}endpoint added
compatible
PUT /v1/chat-agents/{chat_agent_id}endpoint added

0.17.72026-09-17

compatible
GET /v1/billingendpoint added
compatible
PUT /v1/billing/auto-rechargeendpoint added
compatible
POST /v1/billing/payment-method-sessionendpoint added
compatible
GET /v1/billing/spendendpoint added
compatible
POST /v1/billing/top-upsendpoint added
compatible
GET /v1/billing/usageendpoint added

0.17.62026-09-15

compatible
POST webhook:call.endedapi tag Calls added
compatible
POST webhook:call.incomingapi tag Calls added
compatible
POST webhook:workflow_run.endedapi tag Workflow Runs added

0.17.52026-09-14

compatible
POST /v1/callsadded the new optional request property call_ended_webhook_url
compatible
POST /v1/workflow-runsadded the new optional request property run_ended_webhook_url

0.17.42026-09-14

compatible
GET /v1/available-voicesadded the optional property voices/items/gender to the response with the 200 status

0.17.32026-09-13

compatible
webhook workflow_run.ended added
compatible
POST /v1/workflow-agentsadded the new optional request property run_ended_webhook_url
compatible
POST /v1/workflow-agentsadded the optional property run_ended_webhook_url to the response with the 201 status
compatible
GET /v1/workflow-agents/{workflow_agent_id}added the optional property run_ended_webhook_url to the response with the 200 status
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the new optional request property run_ended_webhook_url
compatible
PUT /v1/workflow-agents/{workflow_agent_id}added the optional property run_ended_webhook_url to the response with the 200 status

0.17.22026-09-13

compatible
GET /v1/calls/{call_id}/recordingadded the media type audio/mpeg for the response with the status 200

0.17.12026-09-11

compatible
GET /v1/workflow-agentsendpoint added
compatible
POST /v1/workflow-agentsendpoint added
compatible
DELETE /v1/workflow-agents/{workflow_agent_id}endpoint added
compatible
GET /v1/workflow-agents/{workflow_agent_id}endpoint added
compatible
PUT /v1/workflow-agents/{workflow_agent_id}endpoint added

0.17.02026-09-11

breaking
GET /v1/callsadded the new busy enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/callsadded the new call_rejected enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/callsadded the new no_answer enum value to the items/items/failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new busy enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new call_rejected enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new no_answer enum value to the failure/anyOf[subschema #1: CallFailure]/code response property for the response status 200
compatible
GET /v1/callsadded the optional property items/items/failure/anyOf[subschema #1: CallFailure]/hangup_cause to the response with the 200 status
compatible
GET /v1/callsadded the optional property items/items/failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property failure/anyOf[subschema #1: CallFailure]/hangup_cause to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause to the response with the 200 status
compatible
POST webhook:call.endedadded the new optional request property call/failure/anyOf[subschema #1: CallFailure]/hangup_cause
compatible
POST webhook:call.endedadded the new optional request property call/failure/anyOf[subschema #1: CallFailure]/sip_hangup_cause
compatible
POST webhook:call.endedadded the new busy enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code
compatible
POST webhook:call.endedadded the new call_rejected enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code
compatible
POST webhook:call.endedadded the new no_answer enum value to the request property call/failure/anyOf[subschema #1: CallFailure]/code

0.16.02026-09-11

breaking
GET /v1/calls/{call_id}added the new live-audio-sync enum value to the additional_transcripts/anyOf[subschema #1]/additionalProperties/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/ response property for the response status 200
breaking
GET /v1/calls/{call_id}added the new live-audio-sync enum value to the transcript/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/ response property for the response status 200
compatible
POST webhook:call.endedadded the new live-audio-sync enum value to the request property call/additional_transcripts/anyOf[subschema #1]/additionalProperties/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/
compatible
POST webhook:call.endedadded the new live-audio-sync enum value to the request property call/transcript/items/capture_method/anyOf[subschema #1: SpokenCaptureMethod]/

0.15.62026-09-11

compatible
webhook call.incoming added

0.15.52026-09-10

compatible
GET /v1/rate-limitsadded the optional property phone_number_release to the response with the 200 status

0.15.42026-09-10

compatible
webhook call.ended added
compatible
POST /v1/call-agentsadded the new optional request property call_ended_webhook_url
compatible
POST /v1/call-agentsadded the optional property call_ended_webhook_url to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property call_ended_webhook_url to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property call_ended_webhook_url
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property call_ended_webhook_url to the response with the 200 status

0.15.32026-09-10

compatible
DELETE /v1/phone-numbers/{phone_number}endpoint added

0.15.22026-09-08

compatible
POST /v1/callsadded the new optional request property knowledge_base_id
compatible
GET /v1/knowledge-basesendpoint added
compatible
POST /v1/knowledge-basesendpoint added
compatible
GET /v1/knowledge-bases/{knowledge_base_id}endpoint added

0.15.12026-09-04

compatible
POST /v1/call-agentsadded the new optional request property timezone
compatible
POST /v1/call-agentsadded the optional property timezone to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property timezone to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property timezone
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property timezone to the response with the 200 status

0.15.02026-09-03

breaking
GET /v1/available-llm-modelsapi path removed without deprecation
breaking
POST /v1/call-agentsremoved the request property in_call_llm_model
breaking
POST /v1/call-agentsremoved the optional property in_call_llm_model from the response with the 201 status
breaking
GET /v1/call-agents/{call_agent_id}removed the optional property in_call_llm_model from the response with the 200 status
breaking
PUT /v1/call-agents/{call_agent_id}removed the request property in_call_llm_model
breaking
PUT /v1/call-agents/{call_agent_id}removed the optional property in_call_llm_model from the response with the 200 status
compatible
removed the schema AvailableLlmModelsResponse
compatible
removed the schema InCallLlmModel
compatible
POST /v1/call-agentsadded the new optional request property in_call_llm
compatible
POST /v1/call-agentsadded the optional property in_call_llm to the response with the 201 status
compatible
GET /v1/call-agents/{call_agent_id}added the optional property in_call_llm to the response with the 200 status
compatible
PUT /v1/call-agents/{call_agent_id}added the new optional request property in_call_llm
compatible
PUT /v1/call-agents/{call_agent_id}added the optional property in_call_llm to the response with the 200 status

0.14.02026-09-03

breaking
GET /v1/calls/{call_id}removed the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/end from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/start from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property transcript/items/words/anyOf[subschema #1]/items/end from the response with the 200 status
breaking
GET /v1/calls/{call_id}removed the required property transcript/items/words/anyOf[subschema #1]/items/start from the response with the 200 status
compatible
GET /v1/callsadded the optional property items/items/duration_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property duration_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property recording/anyOf[subschema #1: CallRecording]/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the optional property transcript/items/started_at to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property additional_transcripts/anyOf[subschema #1]/additionalProperties/items/words/anyOf[subschema #1]/items/start_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property transcript/items/words/anyOf[subschema #1]/items/end_secs to the response with the 200 status
compatible
GET /v1/calls/{call_id}added the required property transcript/items/words/anyOf[subschema #1]/items/start_secs to the response with the 200 status

0.13.02026-09-03

breaking
POST /v1/call-agentsremoved the enum value claude-haiku-4-5 of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
POST /v1/call-agentsremoved the enum value gpt-5.4-mini of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
PUT /v1/call-agents/{call_agent_id}removed the enum value claude-haiku-4-5 of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
PUT /v1/call-agents/{call_agent_id}removed the enum value gpt-5.4-mini of the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
breaking
POST /v1/call-agentsadded the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
POST /v1/call-agentsadded the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
breaking
GET /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
GET /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.4-mini enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-luna enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
breaking
PUT /v1/call-agents/{call_agent_id}added the new openai/gpt-5.6-terra enum value to the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
GET /v1/available-llm-modelsendpoint added
compatible
POST /v1/call-agentsadded the new anthropic/claude-haiku-4-5 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new anthropic/claude-sonnet-4-6 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new gemini/gemini-2.5-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new gemini/gemini-3.7-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.4-mini enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.6-luna enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsadded the new openai/gpt-5.6-terra enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
POST /v1/call-agentsremoved the claude-haiku-4-5 enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
compatible
POST /v1/call-agentsremoved the gpt-5.4-mini enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 201
compatible
GET /v1/call-agents/{call_agent_id}removed the claude-haiku-4-5 enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
GET /v1/call-agents/{call_agent_id}removed the gpt-5.4-mini enum value from the in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/ response property for the response status 200
compatible
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-haiku-4-5 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new anthropic/claude-sonnet-4-6 enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-2.5-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
PUT /v1/call-agents/{call_agent_id}added the new gemini/gemini-3.7-flash enum value to the request property in_call_llm_model/anyOf[subschema #1: InCallLlmModel]/
compatible
[...]
